Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor.services
Interface ActiveAlarmTableMBean

All Superinterfaces:
  org.jboss.system.ListenerServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  ActiveAlarmTable

public interface ActiveAlarmTableMBean
extends org.jboss.system.ListenerServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ListenerServiceMBean
`SL_MBEAN_ELEMENT, SL_MBEAN_HANDBACK_ATTRIBUTE, SL_MBEAN_NAME_ATTRIBUTE, SL_NOTIFICATION_ELEMENT, SL_NOTIFICATION_TYPE_ATTRIBUTE, SL_ROOT_ELEMENT`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `acknowledge(String serverId, String source, String type, String user, String system)` Acknowledge an Alarm
`int` | `acknowledgeAll(String user, String system)` Acknowledge all
`AlarmTableNotification[]` | `fetchAlarmTable()` Gets the ActiveAlarmTable
`String` | `fetchAlarmTableAsHtml()` Gets the ActiveAlarmTable as Html
`long` | `getNotificationsProcessed()` Number of notifications received.
`String` | `getServerId()` Gets the serverId
`void` | `setServerId(String serverId)` Sets the serverId to use in the produced AlarmTableNotifications
`boolean` | `unacknowledge(String serverId, String source, String type, String user, String system)` Unacknowledge an Alarm
`int` | `unacknowledgeAll(String user, String system)` Uncknowledge all

Methods inherited from interface org.jboss.system.ListenerServiceMBean
`setSubscriptionList`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getNotificationsProcessed

    public long getNotificationsProcessed()

  Number of notifications received.

### setServerId

    public void setServerId(String serverId)

  Sets the serverId to use in the produced AlarmTableNotifications

### getServerId

    public String getServerId()

  Gets the serverId

### acknowledgeAll

    public int acknowledgeAll(String user,
                              String system)

  Acknowledge all

  Returns:
    number of acknowledged alarms

### unacknowledgeAll

    public int unacknowledgeAll(String user,
                                String system)

  Uncknowledge all

  Returns:
    number of unacknowledged alarms

### acknowledge

    public boolean acknowledge(String serverId,
                               String source,
                               String type,
                               String user,
                               String system)

  Acknowledge an Alarm

  Returns:
    true if ack was succesful, false otherwise (not in table or acked already)

### unacknowledge

    public boolean unacknowledge(String serverId,
                                 String source,
                                 String type,
                                 String user,
                                 String system)

  Unacknowledge an Alarm

  Returns:
    true if unack was succesful, false otherwise (not in table or unacked already)

### fetchAlarmTable

    public AlarmTableNotification[] fetchAlarmTable()

  Gets the ActiveAlarmTable

### fetchAlarmTableAsHtml

    public String fetchAlarmTableAsHtml()

  Gets the ActiveAlarmTable as Html

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.